/*************************************************************************
	@(#)compat.h	2.13
    	Copyright 1997 Willows Software, Inc. 

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public License as
published by the Free Software Foundation; either version 2 of the
License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; see the file COPYING.LIB.  If
not, write to the Free Software Foundation, Inc., 675 Mass Ave,
Cambridge, MA 02139, USA.


For more information about the Willows Twin Libraries.

	http://www.willows.com	

To send email to the maintainer of the Willows Twin Libraries.

	mailto:twin@willows.com 

**************************************************************************/
 


/***************************************************************
 * Compatibility flag is the bitwize OR of the following...
 * it is defined as the control keyword in the [boot] section
 ***************************************************************/

#define	WD_INIT		1 	/* verbose initialization code  */ 
#define WD_SYNCRONOUS	2	/* syncronous server connection */
#define WD_DEBUGGER	4	/* whether to enable debugger   */

/* color related functions */
#define WD_VGAMODE	0x10    /* default to 640x480x16colors  */
#define WD_COLORMAP	0x20	/* allocate private colormap    */
#define WD_NODITHERPURE 0x80	/* how to handle dithering      */

/* kernel related functions */
#define WD_NOPAGING	0x100   /* disable demand page loading  */

/* file related functions */
#define WD_NOMAPCURDIR	0x1000  /* xdos map current directory   */
#define WD_FILENOTFOUND 0x2000  /* print when file not found */
#define WD_NOCHANGECASE 0x4000  /* don't change case of filenames */

/* handle related functions */
#define WD_HANDLEBREAK  0x10000  /* break on bad handle errors */
#define WD_HANDLEPRINT  0x20000  /* print on bad handle errors */

/* window related functions */
#define WD_SETFOCUS	0x100000 /* disable recursive SetFocus() */
